pydo.genai.cancel_indexing_job()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.genai.cancel_indexing_job(
    uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
    body={
        "uuid": "\"12345678-1234-1234-1234-123456789012\"",
    },
)
Returns JSONRaises HttpResponseError

Description

To cancel an indexing job for a knowledge base, send a PUT request to /v2/gen-ai/indexing_jobs/{uuid}/cancel.

Parameters

uuid string required

A unique identifier for an indexing job.

uuid string optional

Example: "12345678-1234-1234-1234-123456789012"

A unique identifier for an indexing job.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "uuid": "\"12345678-1234-1234-1234-123456789012\""
}

resp = client.genai.cancel_indexing_job(uuid="\"123e4567-e89b-12d3-a456-426614174000\"", body=req)

Response Example

Show Response Example
{
  "job": {
    "completed_datasources": 123,
    "created_at": "2023-01-01T00:00:00Z",
    "data_source_jobs": [],
    "data_source_uuids": [
      "example string"
    ],
    "finished_at": "2023-01-01T00:00:00Z",
    "is_report_available": true,
    "knowledge_base_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "phase": "BATCH_JOB_PHASE_UNKNOWN",
    "started_at": "2023-01-01T00:00:00Z",
    "status": "INDEX_JOB_STATUS_UNKNOWN",
    "tokens": 123,
    "total_datasources": 123,
    "total_tokens": "12345",
    "updated_at": "2023-01-01T00:00:00Z",
    "uuid": "123e4567-e89b-12d3-a456-426614174000"
  }
}

More Information

See /v2/gen-ai/indexing_jobs/{uuid}/cancel in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.